Name:          conan
Version:       1.58.0
Release:       1mamba
Summary:       Decentralized, open-source (MIT), C/C++ package manager
Group:         System/Management
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/conan-io/conan
Source:        https://github.com/conan-io/conan.git/%{version}/conan-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(bottle)
BuildRequires: python3.7dist(colorama)
BuildRequires: python3.7dist(distro)
BuildRequires: python3.7dist(fasteners)
BuildRequires: python3.7dist(jinja2)
BuildRequires: python3.7dist(node-semver)
BuildRequires: python3.7dist(patch-ng)
BuildRequires: python3.7dist(pluginbase)
BuildRequires: python3.7dist(pygments)
BuildRequires: python3.7dist(pyjwt)
BuildRequires: python3.7dist(python-dateutil)
BuildRequires: python3.7dist(pyyaml)
BuildRequires: python3.7dist(requests)
BuildRequires: python3.7dist(setuptools)
BuildRequires: python3.7dist(six)
BuildRequires: python3.7dist(tqdm)
BuildRequires: python3.7dist(urllib3)
## AUTOBUILDREQ-END

%description
Decentralized, open-source (MIT), C/C++ package manager.

%prep
%setup -q
sed -i "s|Jinja2>=.*|Jinja2|" conans/requirements.txt
sed -i "s|node-semver==.*|node-semver|" conans/requirements.txt
sed -i "s|PyJWT>=.*|PyJWT|" conans/requirements.txt

%build
CFLAGS="%{optflags}" %{__python3} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python3} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python3_inc} \
   --install-lib=%{python3_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.filelist
%defattr(-,root,root)
%dir %{python3_sitearch}/conan-%{version}-py*.egg-info
%{python3_sitearch}/conan-%{version}-py*.egg-info/*

%changelog
* Tue Jan 31 2023 Automatic Build System <autodist@mambasoft.it> 1.58.0-1mamba
- automatic version update by autodist

* Thu Jan 12 2023 Automatic Build System <autodist@mambasoft.it> 1.57.0-1mamba
- automatic version update by autodist

* Wed Dec 21 2022 Automatic Build System <autodist@mambasoft.it> 1.56.0-1mamba
- automatic version update by autodist

* Wed Nov 30 2022 Automatic Build System <autodist@mambasoft.it> 1.55.0-1mamba
- automatic version update by autodist

* Wed Nov 09 2022 Automatic Build System <autodist@mambasoft.it> 1.54.0-1mamba
- automatic version update by autodist

* Wed Oct 05 2022 Automatic Build System <autodist@mambasoft.it> 1.53.0-1mamba
- automatic version update by autodist

* Wed Aug 31 2022 Automatic Build System <autodist@mambasoft.it> 1.52.0-1mamba
- automatic version update by autodist

* Thu Aug 18 2022 Automatic Build System <autodist@mambasoft.it> 1.51.3-1mamba
- automatic version update by autodist

* Fri Aug 12 2022 Automatic Build System <autodist@mambasoft.it> 1.51.2-1mamba
- automatic version update by autodist

* Wed Aug 10 2022 Automatic Build System <autodist@mambasoft.it> 1.51.1-1mamba
- automatic version update by autodist

* Fri Jul 29 2022 Automatic Build System <autodist@mambasoft.it> 1.51.0-1mamba
- automatic version update by autodist

* Wed Jun 29 2022 Automatic Build System <autodist@mambasoft.it> 1.50.0-1mamba
- automatic version update by autodist

* Fri Jun 03 2022 Automatic Build System <autodist@mambasoft.it> 1.49.0-1mamba
- automatic version update by autodist

* Wed May 18 2022 Automatic Build System <autodist@mambasoft.it> 1.48.1-1mamba
- automatic version update by autodist

* Wed May 04 2022 Automatic Build System <autodist@mambasoft.it> 1.48.0-1mamba
- automatic version update by autodist

* Thu Mar 31 2022 Automatic Build System <autodist@mambasoft.it> 1.47.0-1mamba
- automatic version update by autodist

* Sat Mar 19 2022 Automatic Build System <autodist@mambasoft.it> 1.46.2-1mamba
- automatic version update by autodist

* Thu Mar 17 2022 Automatic Build System <autodist@mambasoft.it> 1.46.1-1mamba
- automatic version update by autodist

* Tue Mar 08 2022 Automatic Build System <autodist@mambasoft.it> 1.46.0-1mamba
- automatic version update by autodist

* Thu Feb 03 2022 Automatic Build System <autodist@mambasoft.it> 1.45.0-1mamba
- automatic version update by autodist

* Fri Jan 14 2022 Automatic Build System <autodist@mambasoft.it> 1.44.1-1mamba
- automatic version update by autodist

* Wed Dec 29 2021 Automatic Build System <autodist@mambasoft.it> 1.44.0-1mamba
- automatic version update by autodist

* Wed Dec 22 2021 Automatic Build System <autodist@mambasoft.it> 1.43.2-1mamba
- automatic version update by autodist

* Fri Dec 17 2021 Automatic Build System <autodist@mambasoft.it> 1.43.1-1mamba
- automatic version update by autodist

* Fri Dec 03 2021 Automatic Build System <autodist@mambasoft.it> 1.43.0-1mamba
- automatic version update by autodist

* Tue Nov 23 2021 Automatic Build System <autodist@mambasoft.it> 1.42.2-1mamba
- automatic version update by autodist

* Mon Nov 22 2021 Automatic Build System <autodist@mambasoft.it> 1.42.1-1mamba
- automatic version update by autodist

* Sat Aug 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.39.0-1mamba
- package created using the webbuild interface
